---
inputType: CA10__CaAwsInstance__c
conditions:
  - status: COMPLIANT
    currentStateMessage: Test-1
    check:
      UNIT_TEST:
        id: Test-1
        expected:
          text: "unitTest(Test-1): 'a,b,c'.asSetOfText(',').isNotEmpty()"
        arg:
          NOT_EMPTY:
            arg:
              SET_FROM:
                separator: ","
                arg:
                  TEXT: a,b,c
  - status: COMPLIANT
    currentStateMessage: Test-2
    check:
      UNIT_TEST:
        id: Test-2
        expected:
          text: "unitTest(Test-2): 'a'.asSetOfText(',').isNotEmpty()"
        arg:
          NOT_EMPTY:
            arg:
              SET_FROM:
                separator: ","
                arg:
                  TEXT: a
  - status: COMPLIANT
    currentStateMessage: Test-3
    check:
      UNIT_TEST:
        id: Test-3
        expected:
          text: "unitTest(Test-3): ''.asSetOfText(',').isEmpty()"
        arg:
          IS_EMPTY:
            arg:
              SET_FROM:
                separator: ","
                arg:
                  TEXT: ""
  - status: COMPLIANT
    currentStateMessage: Test-4
    check:
      UNIT_TEST:
        id: Test-4
        expected:
          text: "unitTest(Test-4): ','.asSetOfText(',').isEmpty()"
        arg:
          IS_EMPTY:
            arg:
              SET_FROM:
                separator: ","
                arg:
                  TEXT: ","
  - status: COMPLIANT
    currentStateMessage: Test-5
    check:
      UNIT_TEST:
        id: Test-5
        expected:
          text: "unitTest(Test-5): null.isEmpty()"
        arg:
          IS_EMPTY:
            arg:
              UNIT_TEST_NULL:
                returnType: SET_OF_TEXT
otherwise:
  status: INCOMPLIANT
  currentStateMessage: Test Failed
  remediationMessage: Developer Fix Required